Skip to main content

πŸš€ Quickstart

Connect to the Supabase MCP server with Nango using a Personal Access Token (PAT) and your project reference. This is useful for CI or when your MCP client does not support OAuth.
1

Create the integration

In Nango (free signup), go to Integrations β†’ Configure New Integration β†’ Supabase (MCP).
2

Add a connection

Go to Connections β†’ Add Test Connection β†’ Supabase (MCP). Enter your project reference and Personal Access Token (from Supabase Access tokens). See the connect guide for step-by-step instructions.
3

Call the Supabase MCP server

Make your first MCP request (e.g. initialize). Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/mcp" \
  -X POST \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "initialize",
    "params": {
        "protocolVersion": "2024-11-05",
        "capabilities": {},
        "clientInfo": {
            "name": "nango-client",
            "version": "1.0.0"
        }
    }
}'
Or fetch credentials with the Node SDK or API.βœ… You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the setup guide linked below.

πŸ“š Supabase (MCP) guides

Nango-maintained guides for common use cases. Official docs: Supabase (MCP) API Documentation

🧩 Pre-built syncs & actions for Supabase (MCP)

Enable them in your dashboard. Extend and customize to fit your needs. No pre-built syncs or actions available yet.
Not seeing the integration you need? Build your own independently.